{
  "idField": "id",
  "pidField": "pid",
  "treeField": "name",
  "listConfig": {
    "defaultSort": [
      {
        "field": "sortIndex",
        "asc": true
      },
      {
        "field": "templateName",
        "asc": true
      }
    ]
  },
  "fields": [
    {
      "field": "name",
      "list_config": { "width": 200 },
      "ig_attr": { "ig_class": "Text" }
    },
    {
      "field": "templateName",
      "list_config": { "width": 250 }
    },
    {
      "field": "sortIndex",
      "list_config": { "width": 100 }
    },
    {
      "field": "column_type",
      "list_config": { "width": 100 }
    },
    {
      "field": "primary_key",
      "list_config": { "width": 80 }
    },
    {
      "field": "autoincrement",
      "list_config": { "width": 100 },
      "list_width": 100,
      "editable": false
    },
    {

      "field": "column_comment",
      "list_config": { "width": 150 },
      "ig_attr": { "ig_class": "TextArea" },
      "editable": false
    },
    {
      "field": "user_comment",
      "list_config": { "width": 150 },
      "ig_attr": { "ig_class": "TextArea" }
    },
    {
      "field": "autoTemp_Config",
      "list_config": { "width": 200 },
      "ig_attr": { "ig_class": "TextArea" }
    }
  ]

}